> ## Documentation Index
> Fetch the complete documentation index at: https://developers.betdex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel orders in batch

> Cancel orders owned by the caller by event and/or market; skips invalid markets/orders. Pending orders will be updated with matchBehavior: CancelUnmatched, and any remaining unmatched stake after processing will be cancelled.



## OpenAPI

````yaml https://docs.api.monacoprotocol.xyz/api/v1/exchange-openapi-general.json post /orders/cancel-v2
openapi: 3.1.0
info:
  title: BetDEX General Integration API
  description: >-
    A RESTful API that allows you to interact with the BetDEX Exchange. Provides
    endpoints for managing Events, Markets, Sessions, Wallets and Orders. To
    interact with the API, a client must have an App Id and an API Key to
    authenticate and create a session.
  version: '0.1'
servers:
  - url: https://sandbox.api.btdx.io/
    description: Sandbox API Server
  - url: https://prod.api.btdx.io/
    description: Production API Server
security: []
tags:
  - name: API Key Management
  - name: App Management
  - name: Currencies
  - name: Event Categories
  - name: Event Groups
  - name: Event Subcategories
  - name: Events
  - name: External Reference Sources
  - name: Heartbeat Management
  - name: Market Prices
  - name: Market Types
  - name: Markets
  - name: Orders
  - name: Participants
  - name: Session Management
  - name: Status
  - name: Trades
  - name: Wallet API Key Management
  - name: Wallets
paths:
  /orders/cancel-v2:
    post:
      tags:
        - Orders
      summary: Cancel orders in batch
      description: >-
        Cancel orders owned by the caller by event and/or market; skips invalid
        markets/orders. Pending orders will be updated with matchBehavior:
        CancelUnmatched, and any remaining unmatched stake after processing will
        be cancelled.
      operationId: cancelOrdersV2
      parameters:
        - name: authorization
          in: header
          description: Header with the accessToken for the current session
          required: true
          schema:
            type: string
          example: Bearer eyJ0eXAiOiJ...bjV7AtDgA
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchCancelOrdersRequest'
        required: true
      responses:
        '200':
          description: >-
            Returns an IDResponse object containing the IDs of any successfully
            cancelled orders.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/IDResponse'
        '401':
          description: Session invalid
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/IDResponse'
        '404':
          description: Not found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/IDResponse'
components:
  schemas:
    BatchCancelOrdersRequest:
      type: object
      properties:
        walletIds:
          type: array
          items:
            type: string
        eventIds:
          type: array
          items:
            type: string
        marketIds:
          type: array
          items:
            type: string
        orderIds:
          type: array
          items:
            type: string
    IDResponse:
      type: object
      properties:
        _meta:
          $ref: '#/components/schemas/Meta'
        ids:
          type: array
          items:
            type: string
          uniqueItems: true
    Meta:
      type: object
      properties:
        _primary_document:
          type: string
          enum:
            - apiKeys
            - apps
            - categories
            - commissionRates
            - currencies
            - depositAddresses
            - depositRequests
            - events
            - eventGroups
            - externalReferences
            - externalReferenceSources
            - heartbeats
            - ids
            - markets
            - marketOutcomes
            - marketPositions
            - marketTypes
            - orders
            - participants
            - prices
            - priceLadders
            - sessions
            - statuses
            - subcategories
            - trades
            - transactions
            - wallets
            - walletMetrics
            - withdrawalRequests
        _count:
          type: integer
          format: int32
        _page:
          $ref: '#/components/schemas/PageMeta'
    PageMeta:
      type: object
      properties:
        _pageNumber:
          type: integer
          format: int32
        _pageSize:
          type: integer
          format: int32
        _totalElements:
          type: integer
          format: int64
        _totalPages:
          type: integer
          format: int32

````